Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1968 - issue and issue.net leak information to hackers
Summary: issue and issue.net leak information to hackers
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-03 21:51 UTC by glen.turner
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-06 00:00:02 UTC


Attachments (Terms of Use)

Description glen.turner 1999-04-03 21:51:36 UTC
The default issue and issue.net written at each boot
by /etc/rc.d/rc.local provides too much information
to unverified users.  Linux kernel versions, etc
would be better placed in /etc/motd, which is
printed *after* the user has been verified.

Comment 1 Preston Brown 1999-04-05 20:21:59 UTC
While we understand the point, I think that this would be too paranoid
a setting.  However, our main security man may disagree.  Cristian?

Comment 2 Cristian Gafton 1999-04-06 00:00:59 UTC
given the fact that a linux box can be network probed for the kernel
version anyway, I don't see this as a huge security problem.


Note You need to log in before you can comment on or make changes to this bug.